Bug 91132 - FILESAVE: save a copy or PDF export -> ending isn't handled well if filename ends with ".1" (per Comment 48)
Summary: FILESAVE: save a copy or PDF export -> ending isn't handled well if filename ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2015-05-07 12:35 UTC by Markus Grob
Modified: 2019-09-18 12:30 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot export as docx (61.25 KB, image/png)
2015-05-09 12:08 UTC, Markus Grob
Details
Screenshot export as pdf (32.99 KB, image/png)
2015-05-09 12:08 UTC, Markus Grob
Details
Screenshot with the right behaviour (22.36 KB, image/jpeg)
2016-12-10 09:56 UTC, Markus Grob
Details
screenshot with the wrong behaviour (23.10 KB, image/jpeg)
2016-12-10 09:57 UTC, Markus Grob
Details
Example file (8.25 KB, application/vnd.oasis.opendocument.text)
2016-12-28 11:04 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Grob 2015-05-07 12:35:42 UTC
If I wonna save a document, which has a point in his name, like 'test v3.1.odt', the ending isn't handled well.

If I export it as pdf, the document will be saved as 'test v3.1' without '.pdf'. I have to manually add it in the save dialog.

The error in the dialog with "save a copy" is a little bit different. In this case, the ending is cutted. Saving as MS docx will result in 'test v3.docx' without the '.1' in the name.

Sincerely, Markus
Comment 1 Markus Grob 2015-05-07 12:37:43 UTC
Release ist 4.3.7.2, which couldn't be choosen in the list.
Comment 2 A (Andy) 2015-05-09 08:12:08 UTC
For me not reproducible with LO 4.4.2.2, Win 8.1
Comment 3 Markus Grob 2015-05-09 12:08:04 UTC
Created attachment 115470 [details]
Screenshot export as docx
Comment 4 Markus Grob 2015-05-09 12:08:31 UTC
Created attachment 115471 [details]
Screenshot export as pdf
Comment 5 Markus Grob 2015-05-09 12:12:26 UTC
Still exists in 4.4.3.2.
I have generated a few screenshots to describe the problem better.

1. generate a document like the test: "test 1.1.odt"
2. Save a copy -> choose docx as export format -> the file file be saved as "test 1.docx" (without .1)
3. Export as pdf -> the file will be saved as "test 1.1" (without .pdf)

The handling with points in the name of the document at the relativ ending of the name is not handled well, as the exported documents can't be used without manual steps as changing the name or add the ending.

Sincerely, Markus
Comment 6 raal 2015-05-13 11:39:25 UTC
Cannot reproduce with steps in comment 5. Win7, LO 4.4.3
Comment 7 Markus Grob 2015-05-13 22:50:12 UTC
Could it be, that it is based on the used language? I use it in Swissgerman.
You couldn't reproduce both errors?
Comment 8 raal 2015-05-14 06:28:45 UTC
(In reply to Markus Grob from comment #7)
> Could it be, that it is based on the used language? I use it in Swissgerman.
> You couldn't reproduce both errors?

Yes, tried to reproduce both errors, without success.  Language: cs_CZ
Comment 9 Buovjaga 2015-05-18 10:12:53 UTC
Not reproduced.

Win 7 Pro 64-bit, Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: fi_FI

Versio: 4.3.0.1
Käännöksen ID: 67f5430184326974072b65403ef1d9d934fc4481
Comment 10 Markus Grob 2015-05-18 12:08:01 UTC
Now I have tested it with Linux and it works. I think, we can close the bug, but I don't know, how I can wipe this error out.
Try to delete the userfiles from LO.

Thanks for all, Markus
Comment 11 Buovjaga 2015-05-18 12:12:32 UTC
Ok, I'll set to invalid then. If renaming user profile doesn't fix it, I guess you can set back to unconfirmed.

https://wiki.documentfoundation.org/User_Profile#Resolving_corruption_in_the_user_profile
Comment 12 Markus Grob 2015-05-18 13:12:28 UTC
I have renamed the whole folder under roaming, but the system still renams wrong. I don't know, if the Windows 7 itself makes the error, but don't know, how to search deeper.

Sincerely, Markus
Comment 13 tommy27 2015-08-01 06:12:45 UTC
I'm not reproducing this with LibO 4.4.5.1 under Win8.1 x64.

are you still seeing this with latest 4.4.5.2 release?
is your Win7 a 32 or 64 bit version?
in the "save" dialog do you have "automatic filename extension" enabled?

status NEEDINFO
Comment 14 Markus Grob 2015-09-04 14:38:48 UTC
Sorry for not answering earlier, but the bug still exists for me in 4.4.5.2.
Here is the exact filename:

Checkliste Inbetriebnahme Exos 3.1.odt

If I use "save a copy" Win7 64Bit saves the file as following:

Checkliste Inbetriebnahme Exos 3.1

The checkbox "automatic file ending" is set.

For testing I have set the Desktop as place to save, but nothing else happens. I don't know why.

Please try also with this name with a new document and set the name above (without .odt) and test it (checkbox enabled).
Comment 15 Buovjaga 2015-09-05 15:53:11 UTC
Not reproduced.
Took care to remove the .odt in the name field before hitting Save.

Win 7 64-bit
Version: 5.0.1.2
Build-ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Gebietsschema: fi-FI (fi_FI)
Comment 16 Markus Grob 2015-09-25 14:34:15 UTC
I have controlled it. I try to save without .odt, but the error still exists.
Comment 17 Regina Henschel 2015-12-17 18:48:52 UTC
This seems to be connected to bug 74064.
Comment 18 Markus Grob 2015-12-18 19:53:36 UTC
As I have read it, yes it seems to be the same, but there is the error only on Linux. I don't know why, but this bug is not easy to reproduce and I don't knoy, why I have it every time, but nobody else :-(
Comment 19 tommy27 2016-12-09 07:04:59 UTC
@Markus
one year later are you still seeing this issue using latest LibO 5.2.3.3?
NEEDINFO
Comment 20 Markus Grob 2016-12-10 09:55:31 UTC
Same behaviour as before. Now I add 2 screenshots to show the difference.
LO cuts the ending, when something with a point is at the end of the name. Maybe the handling with the explode function of the name and the ending isn't well implemented. 
I know this function only in php, so I don't know how LO handles this.

Markus
Comment 21 Markus Grob 2016-12-10 09:56:55 UTC
Created attachment 129447 [details]
Screenshot with the right behaviour
Comment 22 Markus Grob 2016-12-10 09:57:27 UTC
Created attachment 129448 [details]
screenshot with the wrong behaviour
Comment 23 steve -_- 2016-12-10 10:08:54 UTC
Cannot reproduce on macos.

created files called "test 3.4.odt", save
export pdf

I end up with a file called "test 3.4.pdf".

From what I read, this is your desired behavior, Markus. Is that correct?

This may be a windows only bug.

@Markus: Which version of windows are you using? Could you try reproducing the problem with a master build of LO?
http://dev-builds.libreoffice.org/daily/master/
Comment 24 steve -_- 2016-12-10 10:46:08 UTC
2 qa members on win were unable to reproduce.

Please try resetting your user profile: https://wiki.documentfoundation.org/UserProfile#Resetting_the_user_profile
Does the problem persist after that?

If yes, could you try reproducing using the latest win master build:
http://dev-builds.libreoffice.org/daily/master/

Setting to NEEDINFO until more detail is provided.

After providing the requested info, please reset this bug to UNCONFIRMED (should it be persisting) or WORKSFORME (should it be solved with a newer LO version).
Comment 25 Markus Grob 2016-12-10 22:07:37 UTC
Tested with new pofile and "set back all" with 5.3.0 beta 1 -> same behaviour as before.
If I export with this, the ending is cutted. Maybe it is a problem of the german version?
If I download in english, it installs in german. It always takes the language of the previous installed version or of the operating system?

Markus
Comment 26 Buovjaga 2016-12-10 22:11:58 UTC
(In reply to Markus Grob from comment #25)
> Tested with new pofile and "set back all" with 5.3.0 beta 1 -> same
> behaviour as before.
> If I export with this, the ending is cutted. Maybe it is a problem of the
> german version?
> If I download in english, it installs in german. It always takes the
> language of the previous installed version or of the operating system?
> 
> Markus

Try Tools - Options - Lang. settings - Languages: User interface - English (USA)
Comment 27 Markus Grob 2016-12-11 12:22:24 UTC
Have tried it, but without success. Same as before. Uses LibreOffice in this case a native system dialog or it's own dialog with the scheme of the operating system?

Markus
Comment 28 Buovjaga 2016-12-11 12:29:43 UTC
(In reply to Markus Grob from comment #27)
> Have tried it, but without success. Same as before. Uses LibreOffice in this
> case a native system dialog or it's own dialog with the scheme of the
> operating system?
> 
> Markus

No, the dialogs can be changed in General.
Comment 29 Markus Grob 2016-12-11 20:48:47 UTC
I have now wipe LibreOffice out of the system (cleaning registry and filesystem) and have installed the dev-version, but without success. The behaviour is the same is before.

How can I change the dialogs to test, if the native LibreOffice dialogs handles this case better?

Markus
Comment 30 Buovjaga 2016-12-12 08:17:31 UTC
(In reply to Markus Grob from comment #29)
> How can I change the dialogs to test, if the native LibreOffice dialogs
> handles this case better?

Like I said in my previous comment, the General options (Tools - Options - LibreOffice - General)
Comment 31 Dennis Roczek 2016-12-13 18:08:21 UTC
Hi Marcus,

use:

Extras --> Optionen --> LibreOffice --> Allgemein --> Haken setzen bei LibreOffice-Dialoge verwenden.


BTW: I cannot reporduce under Win10 64 bit Pro
with

Version: 5.2.2.2
Build-ID: 8f96e87c890bf8fa77463cd4b640a2312823f3ad
CPU-Threads: 4; BS-Version: Windows 6.2; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group

Please another try: is OpenGl activated in your case? (Check the help-dialog) If UI-Renderer: OpenGl or the like is, please try to deactivate that, restart LibreOffice and check if it behaves similar.


What I miss in this discussion: do you have the file extensions displaying disabled?
Comment 32 Markus Grob 2016-12-14 19:05:17 UTC
The last entry is it. If I change to LO dialog, it shows me also without ending, but it saves with the ending (.pdf, .doc), but when I change to the Windows specific dialog, it cuts the ending and saves without it.

Now, what to do?

Markus
Comment 33 Dennis Roczek 2016-12-15 16:03:49 UTC Comment hidden (obsolete)
Comment 34 Markus Grob 2016-12-15 23:29:18 UTC Comment hidden (obsolete)
Comment 35 Buovjaga 2016-12-16 10:04:28 UTC Comment hidden (obsolete)
Comment 36 Markus Grob 2016-12-16 12:07:46 UTC Comment hidden (obsolete)
Comment 37 Buovjaga 2016-12-16 12:22:21 UTC Comment hidden (off-topic)
Comment 38 tommy27 2016-12-18 14:04:14 UTC
please do another test...
download this portable version at this link:
http://sourceforge.net/projects/winpenpack/files/X-LibreOffice/releases/
and tell if the issue is the same as in the regular installed version
Comment 39 Markus Grob 2016-12-19 09:10:26 UTC
I have now tested the portable version. Same as in the normal release. I have also tested without GL. Only with the LO dialog the export is done with the pdf ending. In the dialog the ending isn't shown also, but it will be saved with the ending.

Maybe there is the problem. The LO dialog tests, if the ending is set, while writing on disc, but the Windows dialog writes only the shown name on the disc. If the name will be shown with the ending too, I think, then the Windows dialog will write it also to the disc.

Markus
Comment 40 Dennis Roczek 2016-12-19 12:00:08 UTC
@markus: I guess this is a *windows 7* only bug and only in a certain "strange" condition.

so now my questions.
1) which windows do you use? win7 64bit? pro? home?
2) which service pack is installed?
2.1) all windows updates installed?
3) do you have access to another windows machine to test if that happens there, too?
4) have you ever seen a problem in a similar field in other applications?
5) did you tested libreoffice in 32bit and using 64bit?
6) please try the compatibility mode. does that bug happen there, too?
Comment 41 tommy27 2016-12-23 06:34:28 UTC Comment hidden (obsolete)
Comment 42 Markus Grob 2016-12-23 09:08:20 UTC
Sorry for not answering earlier, but no time till now.

I have access to Win 8.1 or 10, but have first to install LO.

1) which windows do you use? win7 64bit? pro? home?
Win 7 64 Bit Enterprise (company laptop)

2) which service pack is installed?
SP1

2.1) all windows updates installed?
All where given through the IT. Don't know how much of all are installed

3) do you have access to another windows machine to test if that happens there, too?
See above.

4) have you ever seen a problem in a similar field in other applications?
No.

5) did you tested libreoffice in 32bit and using 64bit?
No.

6) please try the compatibility mode. does that bug happen there, too?
Can't do this, because I have file encryption on and with this, I need the key and it is at the IT.

Markus
Comment 43 Telesto 2016-12-28 11:04:56 UTC
Created attachment 129982 [details]
Example file
Comment 44 Telesto 2016-12-28 11:08:49 UTC
I can reproduce it with: 
Version: 5.4.0.0.alpha0+
Build ID: d0288a482a3dc0f50f535565e4c66a95bb140942
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-26_23:25:18
Locale: nl-NL (nl_NL); Calc: CL

1. Open attachment 129982 [details]
2. Clicking Export as PDF in the toolbar
3. Save file with default filename.
Comment 45 Markus Grob 2016-12-28 12:55:19 UTC Comment hidden (obsolete)
Comment 46 Telesto 2016-12-28 17:39:32 UTC Comment hidden (obsolete)
Comment 47 Dennis Roczek 2016-12-30 11:12:37 UTC
@telesto: strange I still do not have that problem. So the main q is now what is different with your systems. can somebody check a very old libreoffice version or maybe AOO if that is a regression.
Comment 48 Telesto 2016-12-30 11:49:02 UTC
It isn't a regression:
Found in:
Versie 4.0.0.3 (Bouw-id: 7545bee9c2a0782548772a21bc84a9dcc583b89)

and in
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

and in OpenOffice
AOO413m1(Build:9783)  -  Rev. 1761381
2016-09-29 02:39:19

Issue isn't exclusively PDF export either. It also happens when saving a file (as odt). Any filename combination ending with ".1" seems to be affected. The last ".1" will be used as extension. So filename: "1.1" should be: "1.1.odt" but will be saved as: "1" with extension ".1"  

Filename:
"1": fine
"1.": fine
"1.1": no extension added (filename will be 1 (with extension 1)
"1.1.1": no extension added
"1.1.2": fine
"1.2.1: no extension added
"1.2.2": fine

"2": fine
"2.": fine
"2.1": no extension added
"2.2": fine
"2.2.1": no extension added
Comment 49 Dennis Roczek 2016-12-30 14:21:38 UTC
yeah, I can confirm now, too. Thanks Telesto for the IRC session.


[14:57:11] <Telesto> DennisRoczek: create a folder ".1" in HKEY_CURRENT_USER\Software\Classes\

Then the expected (e.g. pdf) file extension is removed.

@ux-advice folks: how should the behavior here correctly? I guess the file extension itself shouldn't be removed. I guess the extension should only be hidden and written to the file when clicking ok, but I'm not sure.
Comment 50 tommy27 2016-12-30 17:04:44 UTC
@Telesto
good catch!!!
read this and you will know why ".1" triggers the bug...

"1 is a file extension for manual page or man page used by the Man utility, a Unix program for viewing user manuals. These files contain plain text documentation separated into several segments and delimited by standard markers. They are used for storing a level 1 user manual. Unix man pages are stored in a plain text format, and can be created and edited with any text editor. Looking for how to open 1 files? Checkout http://www.openthefile.net/extension/1"

source: 
http://www.openthefile.net/extension/1
Comment 51 Dennis Roczek 2016-12-30 17:19:37 UTC
@tommy: no that's not completely true. I had a patch file which ended ".2" or a simply text file and i said in the explorer open that file with application XYZ (doesn't matter in that case)

the problem is here: libreoffice uses windows to detec the file extension which recognizes that as a valid extension and then saves the PDF (if you exports the file to pdf) as ".1" (or whatever is the last part of the FILENAME) instead of simply adding the .PDF after the filename (although it is hidden if you checkmark the option)

The q is now for the ux-advice team: is that intended - i do not believe.
Comment 52 Heiko Tietze 2017-01-01 10:37:14 UTC
(In reply to Dennis Roczek from comment #51)
> The q is now for the ux-advice team: is that intended - i do not believe.

The common behavior under Windows is to add the extension whether the file name consists of dots or not (double-check with Editor or Wordpad). If the file name should be different from the default extension you can escape it with double quotes like "1.1" (which pops up a confirmation box).

Expected file name with txt, for example:

Automatic file extension on with LibO dialogs (default)

1: 1.txt
1.1: 1.1.txt
1.2: 1.2.txt

"1": 1
"1.1": 1.1
"1.2": 1.2

Automatic file extension off

1: 1
1.1: 1.1
1.2: 1.2
Comment 53 QA Administrators 2018-07-06 02:46:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug